## facter 1.5.8

=== debian/changelog ===
facter (1.5.8-2ubuntu2) natty; urgency=low

  * lib/facter/ec2.rb: Use the latest-meta api so it always
    does not return false. (LP: #732953) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Apr 2011 11:34:30 -0400

facter (1.5.8-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Dropped ruby-pkg-tools and libsetup-ruby1.8, we dont want ruby-pkg-tools
      in main. (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Feb 2011 00:18:35 +0000

facter (1.5.8-2) unstable; urgency=low

  * Release for unstable

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 07 Feb 2011 05:56:53 +0000

facter (1.5.8-1) experimental; urgency=low

  [Puppet Labs]
  * New upstream version

  [ Micah Anderson ]
  * debian/control: add Vcs-Git, Vcs-Browser, and Homepage fields
  * debian/control: bump standards version: no changes
  * debian/NEWS: fix lintian syntax-error-in-debian-news-file
  * debian/facter.8: fix manpage-section-mismatch

  [ Stig Sandbeck Mathisen ]
  * Fix "upgrade from 1.3.5 to 1.5.1 requires puppet to be restarted",
    added a note in debian/NEWS about restarting puppet (Closes: #515726)
  * debian/NEWS: Update to warn of changes in facter API
    (Closes: #499869)
  * Add versioned dependency for ruby1.8 (Closes: #545867)
  * Cherry-pick domain/fqdn fact fix from upstream (Closes: #515591)
  * debian/control: Bump standards version (again), no changes
  * debian/control: Remove unused build dependency on "cdbs"
  * debian/source/format: Use "3.0 (quilt)"

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 01 Dec 2010 16:02:13 +0100

facter (1.5.7-3ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes are:
    - Dropped ruby-pkg-tools and libsetup-ruby1.8, we dont want ruby-pkg-tools 
      in main. (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 10 Jan 2011 11:25:00 -0500

facter (1.5.7-3) unstable; urgency=low

  * Remove unnecessary alternate dependency on libopenssl-ruby1.9 
  * Fix 1.5.7-2 changelog, correcting bug number for #545867

 -- Micah Anderson <micah@debian.org>  Fri, 17 Dec 2010 12:17:49 -0500

facter (1.5.7-2) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Fix "upgrade from 1.3.5 to 1.5.1 requires puppet to be restarted",
    added a note in debian/NEWS about restarting puppet (Closes: #515726)
  * debian/control: bump standards version: no changes
  * debian/control: Remove unused build dependency on "cdbs"
  * Add versioned dependency for ruby1.8 (Closes: #545867)
  * Cherry-pick domain/fqdn fact fix from upstream (Closes: #515591)

  [ Micah Anderson ]
  * debian/control: add Vcs-Git, Vcs-Browser, and Homepage fields
  * debian/NEWS: fix lintian syntax-error-in-debian-news-file
  * debian/facter.8: fix manpage-section-mismatch
  * cherry pick upstream virtualization support:
    . openvz fix [#4156]
    . add kvm support (Closes: #603001)
    . fix Linux-Vserver of virtual fact [#3397]
    . add xendomains fact

 -- Micah Anderson <micah@debian.org>  Wed, 15 Dec 2010 00:21:46 -0500

facter (1.5.7-1ubuntu1) maverick; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Dropped ruby-pkg-tools, and libsetup-ruby1.8, and cdbs, use what
      we had in lucid. Since we dont want ruby-pkg-tools in main
      (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 26 Mar 2010 16:14:26 +0000

facter (1.5.7-1) unstable; urgency=low

  * New upstream version 1.5.7
  * Migrate packaging to git-buildpackage

 -- Nigel Kersten <nigel@explanatorygap.net>  Fri, 29 Jan 2010 09:57:40 -0800

facter (1.5.6-3) UNRELEASED; urgency=low

  [ Micah Anderson ]
  * Switch the Depends priority from 'host | bind9-host' as the
    'host' package is really old and may be removed soon from the
    archive. It also doesn't provide many newer functionality.

  [ Andrew Pollock ]
  * Recommend pciutils instead of depending on it (closes: #545866)

  [ Stig Sandbeck Mathisen ]
  * Add manpage for facter (Closes: #377123)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 25 Dec 2009 00:41:25 +0100

facter (1.5.6-2ubuntu2) lucid; urgency=low

  * Dropped ruby-pkg-tools, and libsetup-ruby1.8, and cdbs, use what 
    we had in karmic. Since we dont want ruby-pkg-tools in main. 
    (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 26 Mar 2010 08:34:25 -0400

facter (1.5.6-2ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Use bind9-host9 only.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 00:52:19 +0000

facter (1.5.6-2) unstable; urgency=low

  * Added depends possibility on libopenssl-ruby1.9
  * Switch from install.rb to using the standardized Debian ruby CDBS
    classes to use setup.rb. This stops the munging of the shebang
    to a specific ruby version, as facter works with both 1.8 and 1.9
  * Install facter library dependencies in ruby version neutral
    directory: /usr/lib/ruby/vendor_ruby
  * Add depends on libsetup-ruby1.8, ruby-pkg-tools and cdbs

 -- Micah Anderson <micah@debian.org>  Tue, 30 Jun 2009 00:21:23 -0400

facter (1.5.6-1) unstable; urgency=low

  * New upsream release
  * Add myself to uploaders
  * Bumped Standards-Version (no changes)
  * Added versioned build-depends on debhelper 5

 -- Micah Anderson <micah@debian.org>  Mon, 29 Jun 2009 22:53:18 -0400

facter (1.5.4-1ubuntu1) karmic; urgency=low

  * Use bind9-host9 only. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Aug 2009 09:51:59 -0400

facter (1.5.4-1) unstable; urgency=low

  [ Nigel Kersten ]
  * New upstream release
  * Switch maintainer to pkg-puppet-devel list
  * Modify uploaders
  * Update watch file regexp to exclude release canditate tarballs
  * Use upstream install.rb script to build rather than copying manually

  [ Andrew Pollock ]
  * debian/control: add libopenssl-ruby to build dependencies
  * debian/control: bump Standards-Version (no changes)
  * debian/compat: increase to 5
  * debian/control: add pciutils and ${misc:Depends} to dependencies


