=== debian/control ===
Source: facter
Section: admin
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigelk@explanatorygap.net>, Micah Anderson <micah@debian.org>,  Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: debhelper (>= 5.0.0), ruby (>= 1.8), libopenssl-ruby
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-puppet/facter.git
Vcs-Browser: http://git.debian.org/?p=pkg-puppet/facter.git
Homepage: http://projects.puppetlabs.com/projects/facter


Package: facter
Architecture: all
Depends: ruby1.8 (>= 1.8.7.72-3lenny1), net-tools, bind9-host | host, libopenssl-ruby1.8 | libopenssl-ruby1.9, ${misc:Depends}
Recommends: pciutils
Description: a library for retrieving facts from operating systems
 A cross-platform Ruby library for retrieving facts from operating systems.
 Supports multiple resolution mechanisms, any of which can be restricted to
 working only on certain operating systems or environments. Facter is
 especially useful for retrieving things like operating system names, IP
 addresses, MAC addresses, and SSH keys.
 .
 It is easy to extend Facter to include your own custom facts or to include
 additional mechanisms for retrieving facts.
