## facter 1.5.9

=== debian/changelog ===
facter (1.5.9-1ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/reload_all_facts.patch: Reload all facts if the
    requested fact is not found.  Ensures consistency after facts
    have been cleared. (LP: #876130)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 18 Oct 2011 16:23:06 -0700

facter (1.5.9-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #788284).  Remaining changes:
    - Dropped ruby-pkg-tools and libsetup-ruby1.8; debian/rules: use what we
      had in natty; we dont want ruby-pkg-tools in main. (LP: #408402)
  * Dropped changes to lib/facter/ec2.rb. (Use the latest-meta api so it
    always does not retunr false). This was fixed upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 27 May 2011 11:27:00 +0100

facter (1.5.9-1) unstable; urgency=low

  * New upstream release
  * Rewrite package description a bit to please lintian
  * Bump Standards-Version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 22 May 2011 13:43:16 +0200

facter (1.5.9~rc2-1) experimental; urgency=low

  * New upstream release candidate (Closes: #549616, #590498)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 Mar 2011 12:06:08 +0100
