## facter 1.6.0

=== debian/changelog ===
facter (1.6.0-1) unstable; urgency=low

  * New upstream release
  * New packaging to support multiple ruby versions
  * Upstream license change
  * Update man page

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 24 Jun 2011 10:04:12 +0200
