## facter 1.6.1

=== debian/changelog ===
facter (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Use upstream tarball instead of git tag

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 06 Oct 2011 10:48:30 +0200
