## facter 1.6.2

=== debian/changelog ===
facter (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 12 Oct 2011 11:29:53 +0200
