## facter 1.6.3

=== debian/changelog ===
facter (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 22 Nov 2011 21:44:38 +0100
