## facter 1.6.4

=== debian/changelog ===
facter (1.6.4-2) unstable; urgency=low

  * Move dmidecode from Depends to Recommends (Closes: #651501)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 09 Dec 2011 09:40:16 +0100

facter (1.6.4-1) unstable; urgency=low

  * New upstream release
  * Add dependency on dmidecode

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 08 Dec 2011 01:19:09 +0100
