## facter 1.6.5

=== debian/changelog ===
facter (1.6.5-1ubuntu1.2) precise; urgency=low

  * d/p/thread-critical-freeze: fix "puppet apply" hang by avoiding
    unnecessary thread critical sections (LP: #986973).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 02 Jul 2013 03:21:36 +0000

facter (1.6.5-1ubuntu1.1) precise; urgency=low

  * d/p/kvm-cpuinfo: detect "Common KVM processor" in /proc/cpuinfo as virtual
    (LP: #1170325).
  * Add dep8 smoke test.

 -- Robie Basak <robie.basak@canonical.com>  Mon, 20 May 2013 10:59:11 +0000

facter (1.6.5-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
    - debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
      even tho Debian has moved to gem2deb (not in main). Move ruby-json to
      Suggests.
    - debian/rules: Use dh_prep instead of dh_clean, add build-arch +
      build-indep targets
    - debian/control: Make binary package depend on ruby1.8 explicitly

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 12 Feb 2012 20:40:24 -0500

facter (1.6.5-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 26 Jan 2012 11:11:13 +0100

facter (1.6.4-2ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #922788). Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
    - debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
      even tho Debian has moved to gem2deb (not in main). Move ruby-json to
      Suggests.
    - debian/rules: Use dh_prep instead of dh_clean, add build-arch +
      build-indep targets
    - debian/control: Make binary package depend on ruby1.8 explicitly.
  * Dropped changes:
    - debian/control: Update debhelper Build-Depends to 8 (Updated in Debian)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 27 Jan 2012 11:05:12 -0800

facter (1.6.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #888671).  Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
    - debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
      even tho Debian has moved to gem2deb (not in main). Move ruby-json to
      Suggests.
  * debian/rules: Use dh_prep instead of dh_clean, add build-arch + build-indep
    targets
  * debian/control: Update debhelper Build-Depends to 8, make binary package
    depend on ruby1.8 explicitly.

 -- Adam Gandelman <adamg@canonical.com>  Thu, 10 Nov 2011 10:11:05 -0800

facter (1.6.1-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #877621). Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
  * debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
    even tho Debian has moved to gem2deb (not in main). Move ruby-json to
    Suggests.

 -- Adam Gandelman <adamg@canonical.com>  Tue, 18 Oct 2011 10:32:42 -0700
