=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: facter
 Section: admin
 Priority: optional
-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Micah Anderson <micah@debian.org>, Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends: debhelper (>= 8), gem2deb (>= 0.2.4~)
+Build-Depends: debhelper (>= 8), ruby (>= 1.8), libopenssl-ruby
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-puppet/facter.git
 Vcs-Browser: http://git.debian.org/?p=pkg-puppet/facter.git
 Homepage: http://projects.puppetlabs.com/projects/facter
 XS-Ruby-Versions: all
+XS-Testsuite: autopkgtest
 
 Package: facter
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-json, net-tools, bind9-host | host
+Depends: ${misc:Depends}, ruby1.8, net-tools, bind9-host | host
 Recommends: pciutils, dmidecode
+Suggests: ruby-json
 Description: collect and display facts about the system
  A cross-platform Ruby library for retrieving facts from operating systems.
  Supports multiple resolution mechanisms, any of which can be restricted to
