=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 	touch build-stamp
@@ -32,7 +34,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 
 	$(CURDIR)/install.rb --destdir=$(CURDIR)/debian/facter/ \
@@ -49,6 +51,7 @@
 	dh_testroot
 	dh_installchangelogs CHANGELOG
 	dh_installdocs
+	dh_installman
 	dh_compress
 	dh_fixperms
 	dh_installdeb
