## facter 1.6.6

=== debian/changelog ===
facter (1.6.6-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 27 Feb 2012 16:45:49 +0100
