## facter 1.6.9

=== debian/changelog ===
facter (1.6.9-2~bpo60+2) squeeze-backports; urgency=medium

  * Backport to squeeze-backports.

 -- Micah Anderson <micah@debian.org>  Wed, 30 May 2012 11:51:30 -0400

facter (1.6.9-2) unstable; urgency=medium

  * Add patch from upstream (b050eb1) to ignore LSB noise

 -- Micah Anderson <micah@debian.org>  Wed, 30 May 2012 11:26:27 -0400

facter (1.6.9-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 May 2012 15:42:48 +0200

facter (1.6.8-1) unstable; urgency=low

  * Imported Upstream version 1.6.8

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 May 2012 18:16:20 +0200

facter (1.6.7-1) unstable; urgency=low

  * Imported Upstream version 1.6.7
  * Bump standards version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 30 Mar 2012 22:47:22 +0200
